Forums

OverviewV-Play 2 Support (Qt 5) › Error when trying to Build

Viewing 9 posts - 1 through 9 (of 9 total)
  • Author
    Posts
  • #12899

    Hello. I did a reskin/recode of Flappy Bird and I am now trying to test my first Android app on my Android device.

    I am getting an error. This is what I got:

    https://www.dropbox.com/s/0bffzwtwpfale0h/Skjermbilde%202016-03-31%20kl.%2001.53.58.png?dl=0

    https://www.dropbox.com/s/5vr9ilrstwy4zuj/Skjermbilde%202016-03-31%20kl.%2001.56.58.png?dl=0

    https://www.dropbox.com/s/xlrbqaqu8kqncse/Skjermbilde%202016-03-31%20kl.%2001.54.26.png?dl=0

    https://www.dropbox.com/s/ify3mlme49x2goa/Skjermbilde%202016-03-31%20kl.%2001.54.42.png?dl=0

    Error:

    VPApplication: no such file or directory

    I get the same error for QApplication and QQmlApplicationEninge if I remove the VPApplication

     

    Anyone got a clue? I want to figure this out so bad! :)

    • This topic was modified 8 months ago.
    #12902
    #12903

    Alex
    V-Play Team

    Hi,

    Does this also happen when you create a new “Empty V-Play Project” from the game project wizards and try to run it on Android?

    Thanks,

    Alex

    #12904

    Hi,

     

    Yes I am getting the same error in a empty project: https://www.dropbox.com/s/c3muyi4b0fxu2nm/Skjermbilde%202016-03-31%20kl.%2013.24.39.png?dl=0

     

    This is the Compile Output for the error on the game (not the empty project):

    //13:20:48: Running steps for project FlappyBird...
    13:20:48: Configuration unchanged, skipping qmake step.
    13:20:48: Starting: "/usr/bin/make" 
    /Users/emiliegronsberg/Downloads/android-ndk-r10b/toolchains/arm-linux-androideabi-4.8/prebuilt/darwin-x86_64/bin/arm-linux-androideabi-g++ -c -Wno-psabi -march=armv7-a -mfloat-abi=softfp -mfpu=vfp -ffunction-sections -funwind-tables -fstack-protector -fno-short-enums -DANDROID -Wa,--noexecstack -fno-builtin-memmove -std=c++11 -g -g -marm -O0 -fno-omit-frame-pointer -Wall -Wno-psabi -W -D_REENTRANT -fPIC -DQT_QML_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I../FlappyBird -I. -I<VPApplication> -I../../Qt/5.6/android_armv7/include -I../../Qt/5.6/android_armv7/include/QtWidgets -I../../Qt/5.6/android_armv7/include/QtGui -I../../Qt/5.6/android_armv7/include/QtQml -I../../Qt/5.6/android_armv7/include/QtNetwork -I../../Qt/5.6/android_armv7/include/QtCore -I. -I../android-ndk-r10b/sources/cxx-stl/gnu-libstdc++/4.8/include -I../android-ndk-r10b/sources/cxx-stl/gnu-libstdc++/4.8/libs/armeabi-v7a/include -I../android-ndk-r10b/platforms/android-9/arch-arm/usr/include -I../../Qt/5.6/android_armv7/mkspecs/android-g++ -o main.o ../FlappyBird/main.cpp
    /bin/sh: VPApplication: No such file or directory
    make: *** [main.o] Error 1
    13:20:49: The process "/usr/bin/make" exited with code 2.
    Error while building/deploying project FlappyBird (kit: Android for armeabi-v7a (GCC 4.8, Qt 5.6.0))
    When executing step "Make"
    13:20:49: Elapsed time: 00:01.

     

    #12938

    Lorenz
    V-Play Team

    Hi,

    I followed up to you via E-Mail.

    Cheers,

    Lorenz

    #13371

    Hi,

    I have same problem. Can you explain the solution you found ?

    #13372

    Günther
    V-Play Team

    Hi Burhan!

    First of all, please make sure that you correctly installed all required Android Tools (SDK, NDK, …), added the Qt Android Kit with the V-Play Maintenance Tool and that everything is up-to-date.

    Also, please have a look at the Qt Creator settings for Android:
    In the settings under “Build and Run – Kits” and “Build and Run – Qt Versions” Android Qt Kit should be listed without errors.
    The “Android” tab in the settings should hold the correct paths for NDK, SDK and JDK. Also see if the “Use Gradle instead of Ant” setting is checked and that gradle is enabled for the project as described here.

    Did you find any problems there?

    Best,
    Günther

    #13373

    Hi Günther,

    I deleted VPlay and reinstalled it.

    Now its updating Android tools.

    Thanks for your help.

    Best,

    Burhan

    #13435

    Hi Günther,

    All works well

    Best,

    Burhan

Viewing 9 posts - 1 through 9 (of 9 total)

RSS feed for this thread

You must be logged in to reply to this topic.

Voted #1 for:

  • Easiest to learn
  • Most time saving
  • Best support

Develop Cross-Platform Apps and Games 50% Faster!

  • Voted the best supported, most time-saving and easiest to learn cross-platform development tool
  • Based on the Qt framework, with native performance and appearance on all platforms including iOS and Android
  • Offers a variety of plugins to monetize, analyze and engage users
FREE!
create apps
create games
cross platform
native performance
3rd party services
game network
multiplayer
level editor
easiest to learn
biggest time saving
best support